#if !defined(AFX_CAMERASELECTDLG_H__8E5AD64F_0F46_4A36_8690_409A45DCB0F0__INCLUDED_)
#define AFX_CAMERASELECTDLG_H__8E5AD64F_0F46_4A36_8690_409A45DCB0F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CameraSelectDlg.h : 
//

/////////////////////////////////////////////////////////////////////////////
// CCameraSelectDlg 

class CCameraSelectDlg : public CDialog
{
public:
	HANDLE	m_hCamera;
private:
	BOOL	GetCameraInfoList();
	BOOL	OpenAllCamera();
	BOOL	CloseAllCameraExceptChoiced();
	void	mUpdateDisplay();
	CPtrArray	m_aCamera;
// 
public:
	CCameraSelectDlg(CWnd* pParent = NULL);   // 

	
// 
	//{{AFX_DATA(CCameraSelectDlg)
	enum { IDD = IDD_CAMERA_SELECT_DIALOG };
		// 
	//}}AFX_DATA


// 
	//{{AFX_VIRTUAL(CCameraSelectDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV
	//}}AFX_VIRTUAL

// 
protected:

	// 
	//{{AFX_MSG(CCameraSelectDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
#ifdef _WIN64
	afx_msg BOOL OnDeviceChange(UINT nEventType, DWORD_PTR dwData);
#else
	afx_msg BOOL OnDeviceChange(UINT nEventType, DWORD dwData);
#endif
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CAMERASELECTDLG_H__8E5AD64F_0F46_4A36_8690_409A45DCB0F0__INCLUDED_)
